﻿Imports MySql.Data.MySqlClient
Module SelectQuery
    Dim cmd As New MySqlCommand
    Dim dt As New DataTable
    Dim da As New MySqlDataAdapter
    Dim dbReader As MySqlDataReader

    Public DbAdapter As New MySqlDataAdapter
    Public DbDataReader As MySqlDataReader
    Public DbCmd As New MySqlCommand
    Public DtResult As DataTable
    Public Sub mySelectQuery(ByVal sql As String)
        If ConnectionState.Open Then
            con.Close()
        End If
        Try
            con.Open()
            With cmd
                .Connection = con
                .CommandText = sql
            End With

        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Exclamation)
        End Try
        con.Close()
        da.Dispose()
    End Sub
    Public Sub LoadData(ByVal obj As Object, ByVal caseswitch As String)
        If ConnectionState.Open Then
            con.Close()
        End If
        Try

            con.Open()
            dbReader = cmd.ExecuteReader()
            obj.rows.clear()


            Select Case caseswitch
                Case "ItemLoad"
                    Do While dbReader.Read = True
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2), dbReader(3), dbReader(4), dbReader(5))
                    Loop
                Case "Buyone"
                    Do While dbReader.Read = True
                        Dim total As Double

                        total = dbReader(2) * Val(frmSalesCashiering.txtquantity.Text)


                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2), frmSalesCashiering.txtquantity.Text, total, dbReader(4))
                    Loop



            End Select

        Catch ex As Exception

        End Try
        con.Close()
    End Sub
    Public Function getsvalue()
        Dim re = Nothing

        con.Open()
        dbReader = cmd.ExecuteReader

        While dbReader.Read
            re = dbReader(0)
        End While

        con.Close()
        Return re
    End Function
    Public Sub myReporting(ByVal RpTsql As String, ByVal rptname As String)


        dt = New DataTable

        Try
            myconn.Open()

            cmd.Connection = myconn()
            cmd.CommandText = RpTsql
            da.SelectCommand = cmd
            da.Fill(dt)

            Dim reportpath As String = Application.StartupPath & "\Reports\" & rptname & ".rpt"

            If Not IO.File.Exists(reportpath) Then
                MsgBox("Unable to locate file!")
            End If

            Dim reportdoc As New CrystalDecisions.CrystalReports.Engine.ReportDocument
            reportdoc.Load(reportpath)
            reportdoc.SetDataSource(dt)
            With frmReport
                .CrystalReportViewer1.ReportSource = reportdoc



                .ShowDialog()
                'reportdoc.PrintToPrinter(1, True, 1, 1)

            End With

        Catch ex As Exception

        End Try

    End Sub
    Public Sub Checkresult(ByVal CaseResult As String)

        Dim table As New DataTable

        Try
            da.SelectCommand = cmd
            da.Fill(table)

            If table.Rows.Count > 0 Then
                Select Case CaseResult

                    Case "QuantityTimes"
                        MsgBox(table.Rows(0).Item(0) * Val(frmSalesCashiering.txtquantity.Text))
                    Case "QuantityDivide"
                        MsgBox(table.Rows(0).Item(0) / Val(frmSalesCashiering.txtquantity.Text))

                    Case "AraOWala"

                        MsgBox(table.Rows(0).Item(0))

                    Case "QuantityAdd"
                        MsgBox(table.Rows(0).Item(0) + Val(frmSalesCashiering.txtquantity.Text))
                        'If table.Rows(0).Item(0) >= Val(frmSalesCashiering.txtquantity.Text) Then

                        '    MsgBox("Kaya pa man aa")

                        'Else

                        '    MsgBox("Ay, Nagkulang!")

                        'End If

                    Case "QuantityMinus"
                        MsgBox(table.Rows(0).Item(0) - Val(frmSalesCashiering.txtquantity.Text))

                End Select

            Else
                Select Case CaseResult

                    Case "AraOwala"
                        MsgBox("Wala stock nga " & frmSalesCashiering.txtbarcode.Text & "")
                    Case "QuantityDivide"
                        MsgBox("Wala stock nga " & frmSalesCashiering.txtbarcode.Text & "")

                    Case "QuantityTimes"

                        MsgBox("No Item Points!")

                    Case "QuantityAdd"

                        MsgBox("No Item Points!")

                    Case "QuantityMinus"

                        MsgBox("No Item Points!")



                    Case "ShowDB"
                    Case "ShowDBcreate"
                        MsgBox("Your not Connected")

                    Case "Login"
                        MsgBox("Please Contact our Boss!")
                End Select
            End If

        Catch ex As Exception

        End Try
        con.Close()

    End Sub
    Public Sub LoadSingleResult(ByVal param As String)
       
        Try
           
            con.Open()
            dbReader = cmd.ExecuteReader()

            Select Case param
                Case "LoadItemMany"
                    Do While dbReader.Read = True

                        With frmSalesCashiering
                            Dim total As Double
                            total = dbReader("ITEMAMOUNT") * Val(frmSalesCashiering.txtquantity.Text)

                            .dgvItemList.Rows.Add(dbReader("ITEMCODE"), dbReader("ITEMNAME"), dbReader("ITEMAMOUNT"), frmSalesCashiering.txtquantity.Text, total, dbReader("ITEMSID"))

                        End With

                    Loop
                Case "Edit"

                    Do While dbReader.Read = True

                        With frmServiceItem
                            .txtitemcode.Text = dbReader("ITEMCODE")
                            .txtitemname.Text = dbReader("ITEMNAME")
                            .txtitemdescription.Text = dbReader("ITEMDESC")
                            .txtPoints.Text = dbReader("ITEMPOINTS")
                            .txtAmount.Text = dbReader("ITEMAMOUNT")
                            .Show()

                        End With
                    Loop
            End Select


        Catch ex As Exception

        End Try
        con.Close()
    End Sub
End Module
