-- phpMyAdmin SQL Dump
-- version 4.7.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 28, 2017 at 09:14 AM
-- Server version: 10.1.24-MariaDB
-- PHP Version: 7.1.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `bsit_test_cashiering`
--

-- --------------------------------------------------------

--
-- Table structure for table `tblcustomer`
--

CREATE TABLE `tblcustomer` (
  `CUSTID` int(11) NOT NULL,
  `CUSTBARCODEID` varchar(11) NOT NULL,
  `CUSTNAME` varchar(150) NOT NULL,
  `CUSTADD` varchar(350) NOT NULL,
  `CUSTMOBILE` varchar(50) NOT NULL,
  `EMPID` int(11) NOT NULL,
  `BASICPAY` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblcustomer`
--

INSERT INTO `tblcustomer` (`CUSTID`, `CUSTBARCODEID`, `CUSTNAME`, `CUSTADD`, `CUSTMOBILE`, `EMPID`, `BASICPAY`) VALUES
(1, '01', 'Employee A', 'Kabankalan', '12345', 0, 5000),
(2, '02', 'Employee B', 'Kabankaln', '12345', 0, 5000),
(3, '03', 'Employee C', 'Kabankalan City', '09464479593', 0, 5000);

-- --------------------------------------------------------

--
-- Table structure for table `tblitems`
--

CREATE TABLE `tblitems` (
  `ITEMSID` int(11) NOT NULL,
  `ITEMCODE` varchar(50) NOT NULL,
  `ITEMNAME` varchar(100) NOT NULL,
  `ITEMDESC` varchar(150) NOT NULL,
  `ITEMPOINTS` int(11) NOT NULL,
  `ITEMAMOUNT` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblitems`
--

INSERT INTO `tblitems` (`ITEMSID`, `ITEMCODE`, `ITEMNAME`, `ITEMDESC`, `ITEMPOINTS`, `ITEMAMOUNT`) VALUES
(1, '101', 'Coke', '8 oz', 21, 10),
(2, '102', 'Coke', '500 mg', 26, 15),
(3, '103', 'Coke', '1 liter', 40, 28),
(5, '232', 'Cute', '12 ml', 49, 232),
(6, '233', 'Sprite', '8 oz', 20, 12),
(7, '234', 'Pepoy', 'Malupit', 44, 10000);

-- --------------------------------------------------------

--
-- Table structure for table `tblofficialreceipt`
--

CREATE TABLE `tblofficialreceipt` (
  `ORNO` int(11) NOT NULL,
  `TOTALPAYMENT` int(11) NOT NULL,
  `RECEIVEDAMOUNT` int(11) NOT NULL,
  `CHANGED` int(11) NOT NULL,
  `DATE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblofficialreceipt`
--

INSERT INTO `tblofficialreceipt` (`ORNO`, `TOTALPAYMENT`, `RECEIVEDAMOUNT`, `CHANGED`, `DATE`) VALUES
(1002, 15, 15, 0, '2017-08-31 17:13:04'),
(1003, 108, 110, 2, '2017-08-31 17:15:55'),
(1004, 71, 80, 9, '2017-09-04 00:29:20'),
(1005, 259, 270, 11, '2017-09-04 00:31:27'),
(1006, 106, 110, 4, '2017-09-04 00:35:36'),
(1007, 50, 60, 10, '2017-09-04 00:38:09'),
(1008, 25, 30, 5, '2017-09-04 00:40:27'),
(1009, 242, 250, 8, '2017-09-04 00:42:55'),
(1010, 35, 40, 5, '2017-09-04 00:45:08'),
(1011, 63, 70, 7, '2017-09-04 00:49:54'),
(1012, 270, 300, 30, '2017-09-04 00:51:39'),
(1013, 242, 250, 8, '2017-09-04 00:54:05');

-- --------------------------------------------------------

--
-- Table structure for table `tblpayments`
--

CREATE TABLE `tblpayments` (
  `PID` int(11) NOT NULL,
  `ORNO` int(11) NOT NULL,
  `BARCODE` int(11) NOT NULL,
  `BALANCE` double NOT NULL,
  `PAYDUE` double NOT NULL,
  `CHANGED` double NOT NULL,
  `CASHIERNAME` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblpayments`
--

INSERT INTO `tblpayments` (`PID`, `ORNO`, `BARCODE`, `BALANCE`, `PAYDUE`, `CHANGED`, `CASHIERNAME`) VALUES
(1, 1014, 102, 65, 70, 5, ''),
(2, 1014, 102, 190, 200, 10, '2'),
(3, 1014, 232, 242, 250, 8, '2'),
(4, 1015, 101, 40, 50, 10, '2'),
(5, 1016, 103, 76, 100, 24, '2'),
(6, 1017, 103, 58, 70, 12, '2'),
(7, 1018, 102, 40, 50, 10, '2'),
(8, 1019, 232, 514, 600, 86, '2'),
(9, 1020, 232, 474, 500, 26, '2'),
(10, 1021, 232, 479, 500, 21, '2'),
(11, 1022, 101, 40, 50, 10, '2'),
(12, 1023, 232, 242, 250, 8, '2'),
(13, 1024, 101, 494, 500, 6, '2'),
(14, 1025, 102, 25, 50, 25, '2'),
(15, 1026, 232, 232, 250, 18, '2'),
(16, 1027, 232, 260, 300, 40, '2'),
(17, 1028, 232, 257, 500, 243, '0'),
(18, 1029, 232, 464, 500, 36, '0'),
(19, 1030, 233, 259, 500, 241, '0'),
(20, 1031, 101, 10, 50, 40, '2'),
(21, 1032, 101, 232, 250, 18, '2'),
(22, 1033, 101, 10, 20, 10, '2'),
(23, 1034, 101, 10, 20, 10, '2'),
(24, 1035, 101, 20, 50, 30, '2'),
(25, 1036, 101, 10, 20, 10, '2'),
(26, 1037, 233, 1262, 1500, 238, '2'),
(27, 1038, 232, 1170, 1500, 330, '0'),
(28, 1039, 101, 10, 20, 10, '2'),
(29, 1040, 101, 10, 20, 10, '2'),
(30, 1041, 101, 10, 20, 10, '2'),
(31, 1042, 103, 896, 1000, 104, '2'),
(32, 1043, 101, 20, 50, 30, '2'),
(33, 1044, 232, 232, 250, 18, '2'),
(34, 1045, 101, 10, 20, 10, '2'),
(35, 1046, 101, 20, 50, 30, '2'),
(36, 1047, 101, 230, 250, 20, '0'),
(37, 1048, 103, 12673, 13000, 327, '2'),
(38, 1049, 232, 282, 300, 18, '0'),
(39, 1050, 103, 1628, 1700, 72, '0'),
(40, 1051, 233, 3971, 4000, 29, '2'),
(41, 1052, 233, 4147, 4200, 53, '0'),
(42, 1053, 101, 20, 50, 30, '2'),
(43, 1054, 101, 76, 100, 24, '2'),
(44, 1055, 101, 20, 30, 10, '2'),
(45, 1056, 232, 232, 250, 18, '2'),
(46, 1057, 101, 20, 50, 30, '2'),
(47, 1058, 101, 10, 20, 10, '2'),
(48, 1059, 101, 252, 260, 8, '2'),
(49, 1060, 232, 264, 270, 6, '2'),
(50, 1061, 101, 65, 100, 35, '2'),
(51, 1062, 101, 262, 270, 8, '2'),
(52, 1063, 102, 55, 60, 5, '2'),
(53, 1064, 101, 60, 70, 10, '2'),
(54, 1065, 234, 30000, 30000, 0, '2'),
(55, 1066, 234, 10020, 10100, 80, '2'),
(56, 1067, 234, 10020, 10030, 10, '2'),
(57, 1068, 234, 10000, 12000, 2000, '2'),
(58, 1069, 102, 35, 50, 15, '2');

-- --------------------------------------------------------

--
-- Table structure for table `tblredeemed`
--

CREATE TABLE `tblredeemed` (
  `REDEEMEDID` int(11) NOT NULL,
  `ITEMCODE` varchar(50) NOT NULL,
  `EMPID` int(11) NOT NULL,
  `CUSTBARCODEID` varchar(50) NOT NULL,
  `REDEEMDATE` date NOT NULL,
  `REDEEMTIME` varchar(50) NOT NULL,
  `ITEMPRICE` double NOT NULL,
  `ITEMQUANTITY` int(11) NOT NULL,
  `ITEMAMOUNTPAY` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbltransaction`
--

CREATE TABLE `tbltransaction` (
  `TID` int(11) NOT NULL,
  `ORNO` int(11) NOT NULL,
  `PARTICULARS` varchar(100) NOT NULL,
  `AMOUNT` double NOT NULL,
  `QUANTITY` int(5) NOT NULL,
  `AMOUNTTOTAL` int(11) NOT NULL,
  `ITEMCODE` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbltransaction`
--

INSERT INTO `tbltransaction` (`TID`, `ORNO`, `PARTICULARS`, `AMOUNT`, `QUANTITY`, `AMOUNTTOTAL`, `ITEMCODE`) VALUES
(51, 1044, 'Diaper nga pampers', 232, 1, 232, 232),
(52, 1045, 'Coke', 10, 1, 10, 101),
(53, 1046, 'Coke', 10, 2, 20, 101),
(54, 1047, 'Coke', 10, 1, 10, 101),
(55, 1047, 'Coke', 10, 1, 10, 101),
(56, 1047, 'Coke', 10, 1, 10, 101),
(57, 1047, 'Coke', 10, 1, 10, 101),
(58, 1047, 'Coke', 10, 1, 10, 101),
(59, 1047, 'Coke', 10, 1, 10, 101),
(60, 1047, 'Coke', 10, 1, 10, 101),
(61, 1047, 'Coke', 10, 1, 10, 101),
(62, 1047, 'Coke', 10, 1, 10, 101),
(63, 1047, 'Coke', 10, 1, 10, 101),
(64, 1047, 'Coke', 10, 1, 10, 101),
(65, 1047, 'Coke', 10, 1, 10, 101),
(66, 1047, 'Coke', 10, 1, 10, 101),
(67, 1047, 'Coke', 10, 1, 10, 101),
(68, 1047, 'Coke', 10, 1, 10, 101),
(69, 1047, 'Coke', 10, 1, 10, 101),
(70, 1047, 'Coke', 10, 1, 10, 101),
(71, 1047, 'Coke', 10, 1, 10, 101),
(72, 1047, 'Coke', 10, 1, 10, 101),
(73, 1047, 'Coke', 10, 1, 10, 101),
(74, 1047, 'Coke', 10, 1, 10, 101),
(75, 1047, 'Coke', 10, 1, 10, 101),
(76, 1047, 'Coke', 10, 1, 10, 101),
(77, 1048, 'Coke', 10, 2, 20, 101),
(78, 1048, 'Diaper nga pampers', 232, 1, 232, 232),
(79, 1048, 'Coke', 10, 2, 20, 101),
(80, 1048, 'Coke', 15, 1, 15, 102),
(81, 1048, 'Sprite', 12, 4, 48, 233),
(82, 1048, 'Coke', 28, 4, 112, 103),
(83, 1048, 'Coke', 15, 30, 450, 102),
(84, 1048, 'Diaper nga pampers', 232, 49, 11368, 232),
(85, 1048, 'Coke', 10, 38, 380, 101),
(86, 1048, 'Coke', 28, 1, 28, 103),
(87, 1049, 'Coke', 10, 2, 20, 101),
(88, 1049, 'Coke', 10, 3, 30, 101),
(89, 1049, 'Diaper nga pampers', 232, 1, 232, 232),
(90, 1050, 'Coke', 10, 2, 20, 101),
(91, 1050, 'Sprite', 12, 1, 12, 233),
(92, 1050, 'Diaper nga pampers', 232, 2, 464, 232),
(93, 1050, 'Coke', 15, 12, 180, 102),
(94, 1050, 'Coke', 28, 34, 952, 103),
(95, 1051, 'Coke', 10, 23, 230, 101),
(96, 1051, 'Coke', 15, 23, 345, 102),
(97, 1051, 'Coke', 28, 12, 336, 103),
(98, 1051, 'Diaper nga pampers', 232, 12, 2784, 232),
(99, 1051, 'Sprite', 12, 23, 276, 233),
(100, 1052, 'Coke', 10, 23, 230, 101),
(101, 1052, 'Coke', 15, 23, 345, 102),
(102, 1052, 'Coke', 28, 23, 644, 103),
(103, 1052, 'Diaper nga pampers', 232, 12, 2784, 232),
(104, 1052, 'Sprite', 12, 12, 144, 233),
(105, 1053, 'Coke', 10, 2, 20, 101),
(106, 1054, 'Coke', 28, 2, 56, 103),
(107, 1054, 'Coke', 10, 2, 20, 101),
(108, 1055, 'Coke', 10, 2, 20, 101),
(109, 1056, 'Diaper nga pampers', 232, 1, 232, 232),
(110, 1057, 'Coke', 10, 2, 20, 101),
(111, 1058, 'Coke', 10, 1, 10, 101),
(112, 1059, 'Coke', 10, 1, 10, 101),
(113, 1059, 'Diaper nga pampers', 232, 1, 232, 232),
(114, 1059, 'Coke', 10, 1, 10, 101),
(115, 1060, 'Coke', 10, 2, 20, 101),
(116, 1060, 'Sprite', 12, 1, 12, 233),
(117, 1060, 'Diaper nga pampers', 232, 1, 232, 232),
(118, 1061, 'Coke', 10, 2, 20, 101),
(119, 1061, 'Coke', 15, 1, 15, 102),
(120, 1061, 'Coke', 10, 3, 30, 101),
(121, 1062, 'Coke', 10, 2, 20, 101),
(122, 1062, 'Diaper nga pampers', 232, 1, 232, 232),
(123, 1062, 'Sprite', 12, 1, 12, 233),
(124, 1062, 'Diaper nga pampers', 232, 1, 232, 232),
(125, 1062, 'Coke', 15, 1, 15, 102),
(126, 1062, 'Coke', 10, 1, 10, 101),
(127, 1062, 'Cute', 232, 1, 232, 232),
(128, 1062, 'Coke', 10, 2, 20, 101),
(129, 1063, 'Coke', 10, 2, 20, 101),
(130, 1063, 'Coke', 10, 2, 20, 101),
(131, 1063, 'Coke', 15, 1, 15, 102),
(132, 1064, 'Coke', 10, 2, 20, 101),
(133, 1064, 'Coke', 15, 2, 30, 102),
(134, 1064, 'Coke', 10, 1, 10, 101),
(135, 1065, 'Pepoy', 10000, 2, 20000, 234),
(136, 1065, 'Pepoy', 10000, 1, 10000, 234),
(137, 1066, 'Coke', 10, 2, 20, 101),
(138, 1066, 'Pepoy', 10000, 1, 10000, 234),
(139, 1067, 'Coke', 10, 2, 20, 101),
(140, 1067, 'Pepoy', 10000, 1, 10000, 234),
(141, 1068, 'Pepoy', 10000, 1, 10000, 234),
(142, 1069, 'Coke', 10, 2, 20, 101),
(143, 1069, 'Coke', 15, 1, 15, 102);

-- --------------------------------------------------------

--
-- Table structure for table `useraccounts`
--

CREATE TABLE `useraccounts` (
  `ACCOUNT_ID` int(11) NOT NULL,
  `ACCOUNT_NAME` varchar(255) NOT NULL,
  `ACCOUNT_USERNAME` varchar(255) NOT NULL,
  `ACCOUNT_PASSWORD` text NOT NULL,
  `ACCOUNT_TYPE` varchar(30) NOT NULL,
  `EMPID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `useraccounts`
--

INSERT INTO `useraccounts` (`ACCOUNT_ID`, `ACCOUNT_NAME`, `ACCOUNT_USERNAME`, `ACCOUNT_PASSWORD`, `ACCOUNT_TYPE`, `EMPID`) VALUES
(1, 'User A', '0', '0', 'Administrator', 1001),
(2, 'User B', '1', '0', 'HR', 1002),
(3, 'User C', '2', '0', 'Cashier', 1003),
(4, 'User D', '3', '0', 'Accounting', 1004);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tblcustomer`
--
ALTER TABLE `tblcustomer`
  ADD PRIMARY KEY (`CUSTID`);

--
-- Indexes for table `tblitems`
--
ALTER TABLE `tblitems`
  ADD PRIMARY KEY (`ITEMSID`);

--
-- Indexes for table `tblofficialreceipt`
--
ALTER TABLE `tblofficialreceipt`
  ADD PRIMARY KEY (`ORNO`);

--
-- Indexes for table `tblpayments`
--
ALTER TABLE `tblpayments`
  ADD PRIMARY KEY (`PID`);

--
-- Indexes for table `tblredeemed`
--
ALTER TABLE `tblredeemed`
  ADD PRIMARY KEY (`REDEEMEDID`);

--
-- Indexes for table `tbltransaction`
--
ALTER TABLE `tbltransaction`
  ADD PRIMARY KEY (`TID`);

--
-- Indexes for table `useraccounts`
--
ALTER TABLE `useraccounts`
  ADD PRIMARY KEY (`ACCOUNT_ID`),
  ADD UNIQUE KEY `ACCOUNT_USERNAME` (`ACCOUNT_USERNAME`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tblcustomer`
--
ALTER TABLE `tblcustomer`
  MODIFY `CUSTID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `tblitems`
--
ALTER TABLE `tblitems`
  MODIFY `ITEMSID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT for table `tblofficialreceipt`
--
ALTER TABLE `tblofficialreceipt`
  MODIFY `ORNO` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1014;
--
-- AUTO_INCREMENT for table `tblpayments`
--
ALTER TABLE `tblpayments`
  MODIFY `PID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=59;
--
-- AUTO_INCREMENT for table `tblredeemed`
--
ALTER TABLE `tblredeemed`
  MODIFY `REDEEMEDID` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbltransaction`
--
ALTER TABLE `tbltransaction`
  MODIFY `TID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=144;
--
-- AUTO_INCREMENT for table `useraccounts`
--
ALTER TABLE `useraccounts`
  MODIFY `ACCOUNT_ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
